# binaryninja.interaction.get_choice_input

`binaryninja.interaction.``get_choice_input`(prompt, title, choices)

  `get_choice_input` prompts the user to select the one of the provided choices.

  Note: This API function differently on the command line vs. the UI. In the UI a popup is used. On the commandline
    a simple text prompt is used. The ui uses a combo box.

  Parameters:

  - prompt (str) – String to prompt with.
  - title (str) – Title of the window when executed in the UI.
  - choices (list) – A list of strings for the user to choose from.

  Return type: | integer array index of the selected option

  Example:

      >>> get_choice_input("PROMPT>", "choices", ["Yes", "No", "Maybe"])
      choices
      1) Yes
      2) No
      3) Maybe
      PROMPT> 1
      0L